Subject: bug#79080: 31.0.50; report-emacs-bug-check-org errors with args-out-range

From: Daniel Mendler <[email-masked]>
Date: Sat, 26 Jul 2025 12:04:02 +0200

Eli Zaretskii <[email-masked]> writes:

>> Date: Wed, 23 Jul 2025 11:59:48 +0200
>> From:  Daniel Mendler via "Bug reports for GNU Emacs,
>>  the Swiss army knife of text editors" <[email-masked]>
>> 
>> While sending my last bug report I observed the following issue, where
>> `report-emacs-bug-check-org' throws an `args-out-of-range' error. I've
>> got the following stack trace:
>> 
>> Debugger entered--Lisp error: (args-out-of-range "From: Daniel Mendler <[email-masked]>\nTo: [email-masked]\nSubject: 31.0.50; Piped command output is sometimes lost in Eshell\nGcc: nnimap+privat:sent\nX-Debbugs-Cc: Jim Porter <[email-masked]>\n--text follows this line--\nHello,\n\nsometimes when executing commands in Eshell with pipes the output seems\nto get lost, for example:\n\ngit log | head -n 10 | cat\n\nInstead of the expected ten lines of output, there is no output. This\nproblem does not happen always, but from time to time, so maybe there is\nsome timing issue regarding the process handling? In case the issue does\nnot occur immediately one can try this:\n\nwhile true { echo \"test\"; git log | head -n 1 | cat }\n\nFor such loops the following error might occur:\n\nCreating pipe: Too many open files\nCannot redirect stderr: Too many open files, /dev/null\n\nI tested this with emacs -Q on Emacs 31 with a relatively recent commit\nfrom a few days ago (1e3d76af5a7a16682e71f9df46f6788c0880cccd).\n\nCan someone confirm these problems? Thanks!\n\nIn GNU Emacs 31.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version\n 3.24.49, cairo version 1.18.4) of 2025-07-15\nWindowing system distributor 'The X.Org Foundation', version 11.0.12101016\nSystem Description: Debian GNU/Linux 13 (trixie)\n\nConfigured using:\n 'configure --prefix=$HOME/.local/share/emacs\n --without-compress-install --with-tree-sitter --with-native-compilation\n --with-dbus --without-selinux --without-threads --disable-gc-mark-trace\n --without-gsettings --without-gpm --with-cairo --with-cairo-xcb\n --with-xinput2 --with-x-toolkit=gtk3 --without-toolkit-scroll-bars\n 'CFLAGS=-O3 -mtune=native -march=native''\n\nConfigured features:\nCAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS HARFBUZZ JPEG LIBOTF LIBSYSTEMD\nLIBXML2 MODULES NATIVE_COMP NOTIFY INOTIFY PDUMPER PNG RSVG SECCOMP\nSOUND SQLITE3 TIFF TREE_SITTER WEBP X11 XDBE XIM XINERAMA XINPUT2 XPM\nXRANDR GTK3 ZLIB" 0 7762)
>>   (report-emacs-bug-check-org)
>
> Thanks.  I added the author of that function to the discussion.
>
> Antero, I think the bug here is in the assumption that the user edits
> the original text inserted by report-emacs-bug only to _add_ text.

Yes, I can confirm that this is the problem. I edited the original text.

Daniel